/*
 * Copyright 2017 VMware, Inc. All rights reserved. VMware Confidential
 */
import { InjectionToken } from "@angular/core";
import { ExtensionPointManifest } from "./extensibility/extensibility.model";
import { ExtensionPointHandler } from "./extensibility/extension-point.handler";

export const BOOTSTRAP_DETAILS = new InjectionToken("BOOTSTRAP_DETAILS");
export const API_ROOT_URL = new InjectionToken("API_ROOT_URL");
export const FLEX_APP_URL = new InjectionToken("FLEX_APP_URL");
export const SESSION_SCOPE = new InjectionToken("SESSION_SCOPE");
export const SESSION_ORGANIZATION = new InjectionToken("SESSION_ORGANIZATION");
export const SESSION_ORG_ID = new InjectionToken("SESSION_ORG_ID");
export const EXTENSION_ASSET_URL = new InjectionToken("EXTENSION_ASSET_URL");
export const EXTENSION_ROUTE = new InjectionToken("EXTENSION_ROUTE");
export const API_PROVIDER = new InjectionToken("API_PROVIDER");
export const PAQ = new InjectionToken("PAQ");
export const ORG_ID = new InjectionToken("ORG_ID");
export const SDK_MODE = new InjectionToken("SDK_MODE");
export const EXTENSION_POINT_HANDLER = new InjectionToken<ExtensionPointHandler>("EXTENSION_POINT_HANDLER");
export const EXTENSION_POINT_MANIFEST = new InjectionToken<ExtensionPointManifest>("EXTENSION_POINT_MANIFEST");
export const COMPILER_REQUIRED = new InjectionToken("COMPILER_REQUIRED");
